Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.mycarenet.memberdatav2.session
Class MemberDataSessionServiceFactory

    java.lang.Object
      be.ehealth.technicalconnector.session.AbstractSessionServiceFactory
          be.ehealth.businessconnector.mycarenet.memberdatav2.session.MemberDataSessionServiceFactory

    public final class MemberDataSessionServiceFactory

extends AbstractSessionServiceFactory

Factory for `MemberDataService`

Method Summary
`static MemberDataService` | `getMemberDataSyncIrisCareNetService()` Gets the `MemberDataService` instance for IrisCareNet endpoint
`static MemberDataService` | `getMemberDataSyncService()` Gets the `MemberDataService` instance for MyCareNet endpoint
`static MemberDataService` | `getMemberDataSyncWalCareNetService()` Gets the `MemberDataService` instance for WalCareNet endpoint

Methods inherited from class be.ehealth.technicalconnector.session.AbstractSessionServiceFactory
`flushCache`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMemberDataSyncService

    public static MemberDataService getMemberDataSyncService()
                                                      throws ConnectorException

  Gets the `MemberDataService` instance for MyCareNet endpoint

  Throws:
    `ConnectorException`

### getMemberDataSyncIrisCareNetService

    public static MemberDataService getMemberDataSyncIrisCareNetService()
                                                                 throws ConnectorException

  Gets the `MemberDataService` instance for IrisCareNet endpoint

  Throws:
    `ConnectorException`

### getMemberDataSyncWalCareNetService

    public static MemberDataService getMemberDataSyncWalCareNetService()
                                                                throws ConnectorException

  Gets the `MemberDataService` instance for WalCareNet endpoint

  Throws:
    `ConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.